当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 11 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 为什么每次操作apt的时候都出现以下内容呢?
帖子发表于 : 2009-02-03 16:48 

注册: 2009-01-23 23:03
帖子: 64
送出感谢: 0 次
接收感谢: 0 次
dpkg: error processing sharutils (--configure):
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
m4
autoconf
automake1.7
gettext
intltool-debian
po-debconf
debhelper
intltool
cdbs
quilt
sharutils
E: Sub-process /usr/bin/dpkg returned an error code (1)
:em06


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 为什么每次操作apt的时候都出现以下内容呢?
帖子发表于 : 2009-02-04 9:31 
头像

注册: 2007-11-29 9:41
帖子: 8455
送出感谢: 0 次
接收感谢: 0 次
装某个软件的时候出错了,运行
代码:
sudo apt-get -f install

修复


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 为什么每次操作apt的时候都出现以下内容呢?
帖子发表于 : 2009-02-04 13:28 

注册: 2009-01-23 23:03
帖子: 64
送出感谢: 0 次
接收感谢: 0 次
lerosua 写道:
装某个软件的时候出错了,运行
代码:
sudo apt-get -f install

修复


提示出错是因为台湾大学的源某个软件包一直下不下来,好像m4什么的,应该是组成编译环境的某个软件包,只是为什么下不下来就不清楚了。。。


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 为什么每次操作apt的时候都出现以下内容呢?
帖子发表于 : 2009-02-04 13:53 
头像

注册: 2007-11-29 9:41
帖子: 8455
送出感谢: 0 次
接收感谢: 0 次
那就先把那个源禁了


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 为什么每次操作apt的时候都出现以下内容呢?
帖子发表于 : 2009-02-10 11:24 

注册: 2009-01-23 23:03
帖子: 64
送出感谢: 0 次
接收感谢: 0 次
还是不行,已经换过源了


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 为什么每次操作apt的时候都出现以下内容呢?
帖子发表于 : 2009-02-10 11:26 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
sudo apt-get -f install

把所有输出贴出来


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 为什么每次操作apt的时候都出现以下内容呢?
帖子发表于 : 2009-02-10 22:46 

注册: 2009-01-23 23:03
帖子: 64
送出感谢: 0 次
接收感谢: 0 次
sen@sen-laptop:~$ sudo apt-get -f install
[sudo] password for sen:
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
11 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up m4 (1.4.10-1) ...
install-info: No dir file specified; try --help for more information.
dpkg: error processing m4 (--configure):
subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of autoconf:
autoconf depends on m4 (>= 1.4.8); however:
Package m4 is not configured yet.
dpkg: error processing autoconf (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of automake1.7:
automake1.7 depends on autoconf (>= 2.54); however:
Package autoconf is not configured yet.
dpkg: error processing automake1.7 (--configure):
dependency problems - leaving unconfigured
Setting up gettext (0.17-2ubuntu1) ...
install-info: No dir file specified; try --help for more information.
dpkg: error processing gettext (--configure):
subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of intltool-debian:
intltool-debian depends on gettext; however:
Package gettext is not configured yet.
dpkg: error processing intltool-debian (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of po-debconf:
po-debconf depends on gettext (>= 0.16); however:
Package gettext is not configured yet.
po-debconf depends on intltool-debian (>= 0.34.2+20060512); however:
Package intltool-debian is not configured yet.
dpkg: error processing po-debconf (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of debhelper:
debhelper depends on po-debconf; however:
Package po-debconf is not configured yet.
dpkg: error processing debhelper (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of intltool:
intltool depends on automake1.7 | automaken; however:
Package automake1.7 is not configured yet.
Package automaken is not installed.
Package automake1.7 which provides automaken is not configured yet.
intltool depends on gettext (>= 0.10.36-1); however:
Package gettext is not configured yet.
dpkg: error processing intltool (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cdbs:
cdbs depends on debhelper (>= 5.0.30); however:
Package debhelper is not configured yet.
cdbs depends on intltool; however:
Package intltool is not configured yet.
dpkg: error processing cdbs (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of quilt:
quilt depends on gettext; however:
Package gettext is not configured yet.
dpkg: error processing quilt (--configure):
dependency problems - leaving unconfigured
Setting up sharutils (1:4.6.3-1build1) ...
install-info: No dir file specified; try --help for more information.
dpkg: error processing sharutils (--configure):
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
m4
autoconf
automake1.7
gettext
intltool-debian
po-debconf
debhelper
intltool
cdbs
quilt
sharutils
E: Sub-process /usr/bin/dpkg returned an error code (1)
:em06


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 为什么每次操作apt的时候都出现以下内容呢?
帖子发表于 : 2009-02-11 10:19 
头像

注册: 2009-01-05 12:03
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
我的也出现过这种错误现在还没有解决,不过我编译过新内核.kernel-2.6.28.4的内核.我也很期有没有谁能帮忙解决一下.


_________________
勤奋+智慧+机遇!=...
http://happyunix.blogspot.com


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 为什么每次操作apt的时候都出现以下内容呢?
帖子发表于 : 2009-02-12 10:38 
头像

注册: 2006-12-01 23:02
帖子: 622
送出感谢: 0 次
接收感谢: 0 次
dpkg --reconfigure 试试,我觉得是依赖的问题,那几个软件依赖不好所以没安装好。


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 为什么每次操作apt的时候都出现以下内容呢?
帖子发表于 : 2009-02-12 10:58 
头像

注册: 2007-08-05 17:40
帖子: 4968
送出感谢: 0 次
接收感谢: 4
m4
autoconf
automake1.7
gettext
intltool-debian
po-debconf
debhelper
intltool
cdbs
quilt

不行的话就用底层的dpkg强制删掉,再用apt-get重装一下就可以了。


_________________
free VPN
YouKuDownLoader
代码:
pip3 install ykdl

install YouKuDownLoader, have fun in downloading.
YouKuDownLoader所支持网站列表


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 为什么每次操作apt的时候都出现以下内容呢?
帖子发表于 : 2009-02-22 11:18 

注册: 2009-01-23 23:03
帖子: 64
送出感谢: 0 次
接收感谢: 0 次
能说的再详细一些么,我新手,另外我在安装emacs的时候又多了和emacs的包相关的报错:
sudo apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
16 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up m4 (1.4.10-1) ...
install-info: No dir file specified; try --help for more information.
dpkg: error processing m4 (--configure):
subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of autoconf:
autoconf depends on m4 (>= 1.4.8); however:
Package m4 is not configured yet.
dpkg: error processing autoconf (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of automake1.7:
automake1.7 depends on autoconf (>= 2.54); however:
Package autoconf is not configured yet.
dpkg: error processing automake1.7 (--configure):
dependency problems - leaving unconfigured
Setting up gettext (0.17-2ubuntu1) ...
install-info: No dir file specified; try --help for more information.
dpkg: error processing gettext (--configure):
subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of intltool-debian:
intltool-debian depends on gettext; however:
Package gettext is not configured yet.
dpkg: error processing intltool-debian (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of po-debconf:
po-debconf depends on gettext (>= 0.16); however:
Package gettext is not configured yet.
po-debconf depends on intltool-debian (>= 0.34.2+20060512); however:
Package intltool-debian is not configured yet.
dpkg: error processing po-debconf (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of debhelper:
debhelper depends on po-debconf; however:
Package po-debconf is not configured yet.
dpkg: error processing debhelper (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of intltool:
intltool depends on automake1.7 | automaken; however:
Package automake1.7 is not configured yet.
Package automaken is not installed.
Package automake1.7 which provides automaken is not configured yet.
intltool depends on gettext (>= 0.10.36-1); however:
Package gettext is not configured yet.
dpkg: error processing intltool (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cdbs:
cdbs depends on debhelper (>= 5.0.30); however:
Package debhelper is not configured yet.
cdbs depends on intltool; however:
Package intltool is not configured yet.
dpkg: error processing cdbs (--configure):
dependency problems - leaving unconfigured
Setting up emacsen-common (1.4.17) ...
emacsen-common: Handling install of emacsen flavor emacs
install-info: No dir file specified; try --help for more information.
dpkg: error processing emacsen-common (--configure):
subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of emacs22-common:
emacs22-common depends on emacsen-common (>= 1.4.10); however:
Package emacsen-common is not configured yet.
dpkg: error processing emacs22-common (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of emacs22-bin-common:
emacs22-bin-common depends on emacs22-common (= 22.1-0ubuntu10.1); however:
Package emacs22-common is not configured yet.
dpkg: error processing emacs22-bin-common (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of emacs22-gtk:
emacs22-gtk depends on emacs22-bin-common (= 22.1-0ubuntu10.1); however:
Package emacs22-bin-common is not configured yet.
dpkg: error processing emacs22-gtk (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of emacs:
emacs depends on emacs22-gtk | emacs22 | emacs22-nox; however:
Package emacs22-gtk is not configured yet.
Package emacs22 is not installed.
Package emacs22-gtk which provides emacs22 is not configured yet.
Package emacs22-nox is not installed.
dpkg: error processing emacs (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of quilt:
quilt depends on gettext; however:
Package gettext is not configured yet.
dpkg: error processing quilt (--configure):
dependency problems - leaving unconfigured
Setting up sharutils (1:4.6.3-1build1) ...
install-info: No dir file specified; try --help for more information.
dpkg: error processing sharutils (--configure):
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
m4
autoconf
automake1.7
gettext
intltool-debian
po-debconf
debhelper
intltool
cdbs
emacsen-common
emacs22-common
emacs22-bin-common
emacs22-gtk
emacs
quilt
sharutils
E: Sub-process /usr/bin/dpkg returned an error code (1)
:em06 :em20


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 11 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译